Commons Validator
  1. Commons Validator
  2. VALIDATOR-223

Move the trim() function from validateRequired.js to validateUtilities.js

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 1.1.4 Release, 1.2.0 Release, 1.3.0 Release, 1.3.1 Release
    • Fix Version/s: 1.4.0 Release
    • Component/s: JavaScript
    • Labels:
      None

      Description

      valdiateRequired.js has a trim() function which is used by other JavaScript validations (e.g. validateMinLength.js) - this function should be in the "common" utilities script/file.

      Raised on the user list in this thread: http://tinyurl.com/2ursju

      Shale project created a custom version of valdiateRequired.js with this change - see https://issues.apache.org/struts/browse/SHALE-248

        Activity

        Henri Yandell made changes -
        Status Resolved [ 5 ] Closed [ 6 ]
        Niall Pemberton committed 507916 (1 file)
        Niall Pemberton made changes -
        Field Original Value New Value
        Status Open [ 1 ] Resolved [ 5 ]
        Resolution Fixed [ 1 ]
        Niall Pemberton created issue -

          People

          • Assignee:
            Niall Pemberton
            Reporter:
            Niall Pemberton
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development